package eu.jonahbauer.raytracing.render.spectral.colors;

import eu.jonahbauer.raytracing.render.spectral.spectrum.Spectra;
import org.jetbrains.annotations.NotNull;

public final class ColorSpaces {
    public static final @NotNull ColorSpace sRGB = new ColorSpace(
            new Chromaticity(0.6400, 0.3300),
            new Chromaticity(0.3000, 0.6000),
            new Chromaticity(0.1500, 0.0600),
            Spectra.D65, null
    );
    public static final @NotNull ColorSpace DCI_P3 = new ColorSpace(
            new Chromaticity(0.680, 0.320),
            new Chromaticity(0.265, 0.690),
            new Chromaticity(0.150, 0.060),
            Spectra.D65, null
    );
    public static final @NotNull ColorSpace Rec2020 = new ColorSpace(
            new Chromaticity(0.708, 0.292),
            new Chromaticity(0.170, 0.797),
            new Chromaticity(0.131, 0.046),
            Spectra.D65, null
    );

    private ColorSpaces() {
        throw new UnsupportedOperationException();
    }
}
